/**
 * Title: Sample 03 -  testing the primitives behaviour
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Morpheus
 * @author Stefano Adriani
 * @version 1.0
 */

package adriani.tutorial.base ;

import java.applet.* ;
import java.awt.* ;

public class Sample03 extends Applet {

	// Declaration of the Labes used to output the results
    Label 	first  = new Label() ;
    Label 	second = new Label() ;
    Label 	third  = new Label() ;
    Label 	fourth = new Label() ;
    Label 	fifth  = new Label() ;

    // Defining INTEGER types
    byte 	byte1 ;
    short 	short1 ;
    int  	int1,int2 ;
    long 	long1,long2 ;

    // Defining FLOATING types
    float  float1 	= 6.67E9F ;   // try without "F" ---> Error !
    double double1 	= 6.67E9D ;	  // try without "D" ---> No error !

    // Defining CHAR types
    char char1 = '\r';			  // It is "Carriage Return" escape code

	// MAIN METHOD FOR THE APPLET (see former exercises)
    public void init() {

		// Working with INTEGER's
		long1 = 63123231 ;

		byte1 = (byte) char1 ;         // It means byte1 = 13
		short1 = (short) long1 ;	   // long2 is "out of range"
		int1 = 3 ;
		int2 = ++ int1 - int1 -- ;	   // It is int2 = 4 - 4 = 0
        long2 = int1*byte1 - byte1 ;   // It is long1 = 3*13 - 13 = 26

	    // Setting output
	    first.setText("byte1 is " + byte1) ;
        second.setText("short1 is " + short1) ;
        third.setText("int2 is " + int2) ;
        fourth.setText("long1 is " + long1) ;
        fifth.setText("long2 is " + long2) ;

		// Adding Label's on the Applet's surface
        add(first) ;
        add(second) ;
        add(third) ;
        add(fourth) ;
        add(fifth) ;

    }
}
