/**
 * Title: Sample 04 -  testing Booleans and Strings
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Morpheus
 * @author Stefano Adriani
 * @version 1.0
 */

package adriani.tutorial.base ;

import java.applet.* ;
import java.awt.* ;

// By extending Sample03 we inherit the 5 labels, from "first" to "fifth"
// See Sample 03 for details.
public class Sample04 extends Sample03 {

    // Defining BOOLEAN types
    boolean test1, test2 ;

    // Defining STRING types
    String	one, two, three ;

	// MAIN METHOD FOR THE APPLET (see former exercises)
    public void init() {

		super.init() ;		// initializes the parent class

		// Defining string values
		one   = "test" ;		//	This two strings points to the same object!
		two   = "test" ;		//  (the obiect is the string "test")
		three = "Test" ;

  	    // Working with BOOLEAN's
	    test1 = (one == two) ;
	    test2 = (one != three) ;

		// Working with STRING's
        one += "ing" ;
        two = one.toUpperCase() ;

        // Setting output
        first.setText("test1 is: " + test1) ;
        second.setText("test2 is: " + test2) ;
        third.setText("two is: " + two) ;
        fourth.setText("length of three is: " + three.length() ) ;
        fifth.setText("Char at position 2 in three is: " + three.charAt(2) ) ;

		// We do not need to add label's on the Applet's surface,
        // since this is already done by the parent class !!!

    }
}
