/**
 * Title: Sample 08 - testing Java loops
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Morpheus
 * @author Stefano Adriani
 * @version 1.0
 */

package adriani.tutorial.base ;

public class Sample08 {

    int first = 32 ;		// First ASCII character
    int last  = 128 ;		// Last ASCII character
    int space = 12 ;		// Width of the printed columns

    public static void main(String arg[]) throws Exception {

		// Create an instance of This application
		Sample08 myApplication = new Sample08() ;

		// Run the method which prints the ASCII characters
		myApplication.printASCII() ;
	}

	public void printASCII() {

    	for (int i = first; i < last; i++)  {

	        char character = (char) i ;
	        String label = i + ": " ;

	        if (i%2 == 0) {

				// This code prints the output
				System.out.print(label + character) ;

				// This code prints same blank space to optimize layout
	        	for (int j = 0; j < (space - label.length()); j++)
	        		System.out.print(" ") ;
	        }

			// Useful just to have rows of 5 character each
			if ( i%10 == 0)
	        	System.out.println() ;
        }

        // Useful to see the "DOS-like" prompt on the next line
        System.out.println() ;
        System.out.println() ;
    }

} // End of class